Bug 1416165 - latest python-gevent required in RHEL7.3/7.2 [NEEDINFO]
Summary: latest python-gevent required in RHEL7.3/7.2
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python-gevent
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: rc
: ---
Assignee: John Keck
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 18:04 UTC by Nagendra Maynattamai
Modified: 2021-03-23 23:21 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
ealcaniz: needinfo? (jkeck)
scorcora: needinfo? (cww)


Attachments (Terms of Use)

Description Nagendra Maynattamai 2017-01-24 18:04:27 UTC
Description of problem:

FYI: https://github.com/gevent/gevent/issues/477
to fix this issue with python 2.7.5, we'd need gevent > 1.1. However the available rpm is python-gevent-1.0-2.el7.x86_64.rpm.  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
https://bugzilla.redhat.com/show_bug.cgi?id=1259421

Comment 3 Nagendra Maynattamai 2017-01-30 00:50:55 UTC
FYI:
As per https://github.com/gevent/gevent/issues/477, during contrail-api we noticed below issue.

  File "/usr/lib64/python2.7/site-packages/geventhttpclient/connectionpool.py", line 82, in _create_socket
    sock.connect(sock_info[-1])
  File "/usr/lib64/python2.7/site-packages/gevent/ssl.py", line 330, in connect
    self._sslobj = _ssl.sslwrap(self._sock, False, self.keyfile, self.certfile,
AttributeError: 'module' object has no attribute 'sslwrap'

and its resolved with python-gevent > 1.1 version.

Comment 4 Mark Russell 2017-02-13 17:41:07 UTC
The upstream issue thread is very long.  Can you please describe in more detail what this would fix and why it is needed?  Thanks.

Comment 5 Nagendra Maynattamai 2017-02-15 00:03:35 UTC
In simple form, below is the failure seen with python-gevent-1.0-2.el7.x86_64 and python-libs-2.7.5-48.el7.x86_64
python-2.7.5-48.el7.x86_64
python-devel-2.7.5-48.el7.x86_64

[root@host2 site-packages]# python
Python 2.7.5 (default, Aug  2 2016, 04:20:16) 
[GCC 4.8.5 20150623 (Red Hat 4.8.5-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> 
>>> 
>>> import gevent.ssl
>>> import gevent.socket
>>> sock = gevent.socket.socket()
>>> ssl_sock = gevent.ssl.SSLSocket(sock)
>>> 
>>> ssl_sock.connect(('bugs.launchpad.net', 443))
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "gevent/ssl.py", line 330, in connect
    self._sslobj = _ssl.sslwrap(self._sock, False, self.keyfile, self.certfile,
AttributeError: 'module' object has no attribute 'sslwrap'
>>>

Comment 8 Thomas Andrejak 2019-01-03 17:13:25 UTC
Hello

Is it possible to get an update of this ticket ?
I have the same issue on RHEL 7.6

If you need, I have a working .spec file tested on my issue.

Thanks

Regards

Comment 9 Martin Styk 2019-02-18 12:47:46 UTC
Any update regarding this topic?

Comment 11 Thomas Andrejak 2019-07-14 12:47:28 UTC
up ?


Note You need to log in before you can comment on or make changes to this bug.